Error
A valid request URL is required to generate request examples{
"message": "<string>",
"model_config": {
"id": "<string>",
"model_name": "<string>",
"provider": "<string>",
"scope": "global",
"scope_id": "<string>",
"scope_name": "<string>",
"calendar_aligned": false,
"budgets": [
{
"id": "<string>",
"max_limit": 123,
"reset_duration": "<string>",
"last_reset": "2023-11-07T05:31:56Z",
"current_usage": 123,
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"calendar_aligned": false,
"team_id": "<string>",
"virtual_key_id": "<string>",
"provider_config_id": 123
}
],
"budget": {
"id": "<string>",
"max_limit": 123,
"reset_duration": "<string>",
"last_reset": "2023-11-07T05:31:56Z",
"current_usage": 123,
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"calendar_aligned": false,
"team_id": "<string>",
"virtual_key_id": "<string>",
"provider_config_id": 123
},
"rate_limit": {
"id": "<string>",
"token_current_usage": 123,
"token_last_reset": "2023-11-07T05:31:56Z",
"request_current_usage": 123,
"request_last_reset": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"token_max_limit": 123,
"token_reset_duration": "<string>",
"request_max_limit": 123,
"request_reset_duration": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Governance
Update model config
Updates an existing model configuration’s budget and rate limit settings.
PUT
/
api
/
governance
/
model-configs
/
{mc_id}
Error
A valid request URL is required to generate request examples{
"message": "<string>",
"model_config": {
"id": "<string>",
"model_name": "<string>",
"provider": "<string>",
"scope": "global",
"scope_id": "<string>",
"scope_name": "<string>",
"calendar_aligned": false,
"budgets": [
{
"id": "<string>",
"max_limit": 123,
"reset_duration": "<string>",
"last_reset": "2023-11-07T05:31:56Z",
"current_usage": 123,
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"calendar_aligned": false,
"team_id": "<string>",
"virtual_key_id": "<string>",
"provider_config_id": 123
}
],
"budget": {
"id": "<string>",
"max_limit": 123,
"reset_duration": "<string>",
"last_reset": "2023-11-07T05:31:56Z",
"current_usage": 123,
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"calendar_aligned": false,
"team_id": "<string>",
"virtual_key_id": "<string>",
"provider_config_id": 123
},
"rate_limit": {
"id": "<string>",
"token_current_usage": 123,
"token_last_reset": "2023-11-07T05:31:56Z",
"request_current_usage": 123,
"request_last_reset": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"token_max_limit": 123,
"token_reset_duration": "<string>",
"request_max_limit": 123,
"request_reset_duration": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Model config ID
Body
application/json
Request to update an existing model config. Scope and scope_id are identity fields and cannot be changed.
Was this page helpful?
⌘I

